<?php 
function tpl_029_rwd_theme_options_render_page() { ?>
<div class="wrap" id="tpl_029_rwd_options">
  <?php screen_icon(); ?>
	<h2><?php printf( __( '%s Theme Options', '' ), wp_get_theme() ); ?></h2>
	<?php settings_errors(); ?>
	<form method="post" action="options.php">
	<?php
		settings_fields( 'tpl_029_rwd_options' );
		$options = tpl_029_rwd_get_theme_options();
		$default_options = tpl_029_rwd_get_default_theme_options();
	?>
  
<div class="section first">
<h3>テーマの特徴</h3>
<table>
<tr>
<th>メニュー</th>
<td>
<p>カスタムメニューに対応。</p>
<ol>
<li>Main Navigation → ヘッダーグローバルナビゲーション部分</li>
</ol>
<img src="<?php echo site_url(); ?>/wp-content/themes/<?php printf( __( '%s', '' ), wp_get_theme() ); ?>/images/englishMenu.png" class="alignLeft">

<p>ヘッダーグローバルナビゲーションは<a href="<?php echo site_url(); ?>/wp-admin/nav-menus.php" target="_blank">メニュー</a>の各項目で説明を英表記で書くと、日本語と英語でメニューが表示されます。(画像参照)</p>
<p>※「メニュー」画面の右上「表示オプション」で「説明」にチェックを入れて説明が表示されるようにして下さい。</p>
<p style="padding-top:30px">※ フッターのメニューは子カテゴリー、子ページには対応していません。</p></td>
</tr>
<tr>
<th>日付</th>
<td>投稿のみに表示され、固定ページには表示されません。</td>
</tr>
<tr>
<th>ページナビゲーション</th>
<td>投稿のみに表示され、固定ページには表示されません。</td>
</tr>
<tr>
<th>コメント機能</th>
<td>コメント機能はついていません。</td>
</tr>
</table>
</div>

<div class="section first">
<h3>各設定方法</h3>
<table>
<tr>
<th>ページの設定</th>
<td><a href="<?php echo site_url(); ?>/wp-admin/options-reading.php" target="_blank">管理画面の設定</a> → 表示設定 → フロントページの表示 → 固定ページ で、フロントページに表示させたいページを選択します。
</td>
</tr>
<tr>
<th>お知らせの設定（サイドバーに表示されます）</th>
<td>お知らせと言う名前のカテゴリーを作ります。スラッグは<strong>info</strong>にします。このカテゴリー内の投稿がサイドバーに5件まで表示されます。
</td>
</tr>
<tr>
<th>お知らせの一覧へのリンクの設定</th>
<td><a href="<?php echo site_url(); ?>/wp-admin/options-permalink.php" target="_blank">パーマリンク設定</a>をカスタム構造にしてください。値は　<strong>/%category%/%postname%/</strong>　にしてください。
</td>
</tr>
</table>
</div>

<div class="section">
<h3>サイト名の設定 <span>-ロゴとして表示されます-</span></h3>
<table>
<tr>
<th>サイト名</th>
<td><input type="text" name="tpl_029_rwd_theme_options[logo]" id="logo" value="<?php if(isset($options['logo'])):?><?php echo esc_attr( $options['logo'] ); ?><?php else:?>Company Name<?php endif;?>"><br /><span>例) Company Name</span>
</td>
</tr>
</table>
<?php submit_button(); ?>
</div>

</form>
</div>
<?php
}

function tpl_029_rwd_theme_options_validate( $input ) {
	$output = $defaults = tpl_029_rwd_get_default_theme_options();
	
	$output['logo'] = $input['logo'];
	
	return apply_filters( 'tpl_029_rwd_theme_options_validate', $output, $input, $defaults );
}

?>